package book

import "github.com/gin-gonic/gin"

func registerBookChapterRoutes(router gin.IRoutes, routerWithoutRecord gin.IRoutes) {
	router.POST("createBookChapter", bookApiGroup.BookChapterApi.CreateBookChapter)
	router.DELETE("deleteBookChapter", bookApiGroup.BookChapterApi.DeleteBookChapter)
	router.DELETE("deleteBookChapterByIds", bookApiGroup.BookChapterApi.DeleteBookChapterByIds)
	router.PUT("updateBookChapter", bookApiGroup.BookChapterApi.UpdateBookChapter)
	routerWithoutRecord.GET("findBookChapter", bookApiGroup.BookChapterApi.FindBookChapter)
	routerWithoutRecord.GET("getBookChapterList", bookApiGroup.BookChapterApi.GetBookChapterList)
}
